RepairRunnable (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.repair

## Class RepairRunnable

- java.lang.Object
- - org.apache.cassandra.utils.WrappedRunnable
  - - org.apache.cassandra.repair.RepairRunnable

- All Implemented Interfaces:
    java.lang.Runnable, ProgressEventNotifier

      public class RepairRunnable
      extends WrappedRunnable
      implements ProgressEventNotifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepairRunnable(StorageService storageService, int cmd, RepairOption options, java.lang.String keyspace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProgressListener(ProgressListener listener)` Register progress listener to this publisher.
    `protected void` | `fireErrorAndComplete(java.lang.String tag, int progressCount, int totalProgress, java.lang.String message)`
    `protected void` | `fireProgressEvent(java.lang.String tag, ProgressEvent event)`
    `void` | `removeProgressListener(ProgressListener listener)` Remove progress listener from this publisher.
    `protected void` | `runMayThrow()`

    - ### Methods inherited from class org.apache.cassandra.utils.WrappedRunnable

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepairRunnable

          public RepairRunnable(StorageService storageService,
                                int cmd,
                                RepairOption options,
                                java.lang.String keyspace)

  - ### Method Detail

    - #### addProgressListener

          public void addProgressListener(ProgressListener listener)

      Description copied from interface: `ProgressEventNotifier`
      Register progress listener to this publisher.
      Specified by:
        `addProgressListener` in interface `ProgressEventNotifier`
      Parameters:
        `listener` - listener to register.

    - #### removeProgressListener

          public void removeProgressListener(ProgressListener listener)

      Description copied from interface: `ProgressEventNotifier`
      Remove progress listener from this publisher.
      Specified by:
        `removeProgressListener` in interface `ProgressEventNotifier`
      Parameters:
        `listener` - listener to remove

    - #### fireProgressEvent

          protected void fireProgressEvent(java.lang.String tag,
                                           ProgressEvent event)

    - #### fireErrorAndComplete

          protected void fireErrorAndComplete(java.lang.String tag,
                                              int progressCount,
                                              int totalProgress,
                                              java.lang.String message)

    - #### runMayThrow

          protected void runMayThrow()
                              throws java.lang.Exception

      Specified by:
        `runMayThrow` in class `WrappedRunnable`
      Throws:
        `java.lang.Exception`

Copyright © 2018 The Apache Software Foundation